#
# spec file for package python-jupyterlab-widgets
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define pyver 3.0.9
%define jupver 5.0.9
Name:           python-jupyterlab-widgets
Version:        %{pyver}
Release:        1.3
Summary:        A JupyterLab extension for Jupyter/IPython widgets
License:        BSD-3-Clause
URL:            https://github.com/jupyter-widgets/ipywidgets
Source:         https://files.pythonhosted.org/packages/source/j/jupyterlab_widgets/jupyterlab_widgets-%{pyver}.tar.gz
Source99:       python-jupyterlab-widgets-rpmlintrc
BuildRequires:  %{python_module jupyter_packaging}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  jupyter-jupyterlab-filesystem
BuildRequires:  python-rpm-macros
Requires:       jupyter-jupyterlab-widgets
Provides:       python-jupyterlab_widgets = %{pyver}-%{release}
BuildArch:      noarch
%python_subpackages

%description
A JupyterLab 3.0 extension for Jupyter/IPython widgets

%package -n jupyter-jupyterlab-widgets
Version:        %{pyver}
Summary:        A JupyterLab extension for Jupyter/IPython widgets - Jupyter JS files
Requires:       jupyter-jupyterlab-filesystem
Provides:       jupyter-jupyter-widgets-jupyterlab-manager = %{jupver}-%{release}
Provides:       jupyter-jupyterlab_widgets = %{jupver}-%{release}
Requires:       python3dist(jupyterlab-widgets) = %{pyver}
Suggests:       python3-jupyterlab-widgets

%description -n jupyter-jupyterlab-widgets
A JupyterLab 3.0 extension for Jupyter/IPython widgets - Jupyterlab-manager JS files

%prep
%autosetup -p1 -n jupyterlab_widgets-%{pyver}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%{python_expand export PYTHONPATH=%{buildroot}%{$python_sitelib}
$python -c 'import jupyterlab_widgets'
}

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/jupyterlab_widgets
%{python_sitelib}/jupyterlab_widgets-%{pyver}*-info

%files -n jupyter-jupyterlab-widgets
%license LICENSE
%dir %{_jupyter_labextensions_dir3}/@jupyter-widgets
%{_jupyter_labextensions_dir3}/@jupyter-widgets/jupyterlab-manager

%changelog
* Sat Dec 23 2023 Ben Greiner <code@bnavigator.de>
- Update to 3.0.9
  * From ipywidgets 8.1.1: Raise error when copy method is used on
    base widget class by @mmc1718 in #3780
* Fri Aug 18 2023 Ben Greiner <code@bnavigator.de>
- Update to 3.0.8
  * no own release notes, see ipywidgets 8.1:
  - Allow CSS variables to be used as values in the Color trait
    by @nurbo in #3796
- Require python for js files to work
* Tue Apr  4 2023 Ben Greiner <code@bnavigator.de>
- Update to 3.0.7 with jupyterlab-manager 5.0.7
  [#]# release notes from ipywidgets 8.0.6
  * Fix: revert removing ipykernel dependency #3749
  * Fix: structuredClone broke default serializer that depended on
    JSON/toJSON #3738
  * Fix: comm/ipykernel/manager runtime issues: #3740, #3737
  * Fix: propertly typed Comm interface #3722
  * Fix: support the comm package #3533
  * Fix: use of structuredClone allows for binary traits out of the
    box #3689
  * Fix: combobox update issue #3681
  * Fix: add grey as valid color #3671
  * Fix: deprecation warning when using interact #3669
* Wed Oct  5 2022 Matej Cepl <mcepl@suse.com>
- Bump up also jupver macro.
* Sat Oct  1 2022 Arun Persaud <arun@gmx.de>
- update to version 3.0.3:
  * no changelog available
* Sat Aug 20 2022 Arun Persaud <arun@gmx.de>
- specfile:
  * drop patch ipywidgets-pr3138-pr3194-packaging.patch
- update to version 3.0.2:
  * ships jupyter-widgets/jupyterlab-manager@5.0.2
  * no changelog available
* Thu Jan  6 2022 Ben Greiner <code@bnavigator.de>
- Use the js version for the jupyter package
* Thu Jan  6 2022 Ben Greiner <code@bnavigator.de>
- Add ipywidgets-pr3138-pr3194-packaging.patch for python310
  packaging
- Actually adds the JS files now
* Sun Oct 17 2021 Ben Greiner <code@bnavigator.de>
- Initial specfile for 1.0.2
- Required by ipywidgets
